/*
 * PeipherialFunctions.h
 *
 * Created: 28.8.2015 20:54:18
 *  Author: Chenda
 */ 

#include <stdint.h>

#ifndef PERIPHERIAL_FUNCTIONS_H_
#define PERIPHERIAL_FUNCTIONS_H_

	/* BaudRate calculation */
	uint16_t UART_CalculateBaudRate(uint32_t BaudRate);
	uint16_t TWI_CalculateBitRate(uint16_t SCL_freq);
	uint16_t TIMER_CalculateValue(uint16_t time_ms);
	void BlinkLed(uint8_t BlinkCounts);
	void soft_reset(void);
	
	
	

#endif /* RS232_485_PROTOCOL_V10_H_ */